Last Comment Bug 515785 - Use new icons for each task in Win7 Jump list tasks
: Use new icons for each task in Win7 Jump list tasks
Status: RESOLVED FIXED
:
Product: Firefox
Classification: Client Software
Component: General (show other bugs)
: Trunk
: x86 Windows 7
: P2 normal with 3 votes (vote)
: Firefox 15
Assigned To: Jared Wein [:jaws] (please needinfo? me)
:
:
Mentors:
: 672177 (view as bug list)
Depends on: 519985 661502 549472 672177
Blocks:
  Show dependency treegraph
 
Reported: 2009-09-10 14:22 PDT by Jim Mathies [:jimm]
Modified: 2012-06-01 19:07 PDT (History)
14 users (show)
jaws: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
?


Attachments
tasks list screenshots (72.62 KB, image/png)
2009-09-10 14:22 PDT, Jim Mathies [:jimm]
no flags Details
WIP of patch (204.19 KB, patch)
2012-04-27 09:11 PDT, Jared Wein [:jaws] (please needinfo? me)
no flags Details | Diff | Splinter Review
Patch for bug (17.44 KB, patch)
2012-04-27 12:10 PDT, Jared Wein [:jaws] (please needinfo? me)
netzen: review+
Details | Diff | Splinter Review

Description Jim Mathies [:jimm] 2009-09-10 14:22:01 PDT
The new win7 taskbar jump list supports custom tasks. Currently four tasks are supported in the working patch, three of which we hope to enable by default for the release:

open new window
open new tab
private browsing mode
profile manager

private browsing mode and profile manager may be hidden by default due to some limitations in launching them when there are running instances, but custom icons for each would still be nice. private browsing we deffinitely be enabled by default at some point.

These icons would most likely be embedded in firefox.exe. They should support the same color depths and resolutions as as the default firefox and firefox document icons.
Comment 1 Jim Mathies [:jimm] 2009-09-10 14:22:54 PDT
Created attachment 399828 [details]
tasks list screenshots
Comment 2 Norman Paschke 2010-11-13 08:01:26 PST
Any updates on this?
Also Chrome, Opera and IE8+ also use favicons for recently/frequent visited sites, Firefox uses default html-icon.
Comment 3 Norman Paschke 2010-11-13 08:16:44 PST
nvm, just discovered Bug 549472
Comment 4 Jim Mathies [:jimm] 2010-11-13 08:41:03 PST
We don't have 'profiles' anymore. The current tasks are

open new window
open new tab
enter private browsing
Comment 5 Jim Mathies [:jimm] 2010-11-13 08:41:55 PST
(In reply to comment #3)
> nvm, just discovered Bug 549472

I had hoped to get that done for the release, but I'm not sure I will. (We have a lot of cleanup work to do.)
Comment 6 Brian R. Bondy [:bbondy] 2011-07-16 22:13:28 PDT
Should there be another task defined for this for a graphic designer to make the custom images?  I can do the rest for this task once I know which images to use.
Comment 7 Jim Mathies [:jimm] 2011-07-18 04:38:18 PDT
(In reply to comment #6)
> Should there be another task defined for this for a graphic designer to make
> the custom images?  I can do the rest for this task once I know which images
> to use.

Yes, I'd file a new bug (theme maybe?) and cc shorlander and faaborg.
Comment 8 Brian R. Bondy [:bbondy] 2011-07-18 04:53:47 PDT
Posted here: Bug 672177 - New icons for each Win7 Jump list task
Comment 9 Jared Wein [:jaws] (please needinfo? me) 2012-04-27 09:11:45 PDT
Created attachment 619069 [details] [diff] [review]
WIP of patch

This patch includes everything that we should need with the exception of the correct icons.
Comment 10 Jared Wein [:jaws] (please needinfo? me) 2012-04-27 12:10:57 PDT
Created attachment 619135 [details] [diff] [review]
Patch for bug

This patch includes the new icons. Thanks Stephen :)

Here is a screenshot of it: http://screencast.com/t/8EAPf2E7o7E
Comment 11 Brian R. Bondy [:bbondy] 2012-04-27 12:24:58 PDT
Comment on attachment 619135 [details] [diff] [review]
Patch for bug

Review of attachment 619135 [details] [diff] [review]:
-----------------------------------------------------------------

Nice work, looks good.
As long as it passes try tests we're good to go.
Comment 12 Jared Wein [:jaws] (please needinfo? me) 2012-04-27 12:27:28 PDT
Pushed to try: https://tbpl.mozilla.org/?tree=Try&rev=5cf59016afe7
Comment 13 Jared Wein [:jaws] (please needinfo? me) 2012-04-28 08:23:35 PDT
https://hg.mozilla.org/integration/mozilla-inbound/rev/d913b3d444e4
Comment 14 Dão Gottwald [:dao] 2012-04-29 04:06:07 PDT
*** Bug 672177 has been marked as a duplicate of this bug. ***
Comment 15 Ryan VanderMeulen [:RyanVM] 2012-04-29 15:57:27 PDT
http://hg.mozilla.org/mozilla-central/rev/d913b3d444e4
Comment 16 Siddharth Agarwal [:sid0] (inactive) 2012-05-01 09:09:30 PDT
Aww, you guys don't do anything clever with extracting icons out of theme PNGs at build time. That's what Tb does (bug 659788).

Note You need to log in before you can comment on or make changes to this bug.